at.chipkarte.client.rez.soap

## Class PapierrezeptAbgabeErfassung

- Object
- - at.chipkarte.client.rez.soap.PapierrezeptAbgabeErfassung

-     public class PapierrezeptAbgabeErfassung
      extends Object

  Daten zur Erfassung der Abgabe eines Papierrezeptes. Eingangsdaten der Funktion `papierrezeptEinloesen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PapierrezeptAbgabeErfassung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RezeptAbgabeInformationen` | `getAbgabeinformation()` Abgabeinformationen zum Rezept.
    `String` | `getKvt()` KV-Träger.
    `String` | `getSvnr()` Versicherungsnummer des Patienten.
    `String` | `getSvnrAbgeleitet()` Versicherungsnummer bei abgeleitetem Anspruch.
    `Boolean` | `isNacherfassung()` Angabe, ob es sich um eine Nacherfassung einer bereits offline getätigten Abgabe handelt.
    `void` | `setAbgabeinformation(RezeptAbgabeInformationen abgabeinformation)`
    `void` | `setKvt(String kvt)`
    `void` | `setNacherfassung(Boolean nacherfassung)`
    `void` | `setSvnr(String svnr)`
    `void` | `setSvnrAbgeleitet(String svnrAbgeleitet)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PapierrezeptAbgabeErfassung

          public PapierrezeptAbgabeErfassung()

  - ### Method Detail

    - #### isNacherfassung

          public Boolean isNacherfassung()

      Angabe, ob es sich um eine Nacherfassung einer bereits offline getätigten Abgabe handelt.
      Angabe: Muss.
      Returns:
        Nacherfassung

    - #### setNacherfassung

          public void setNacherfassung(Boolean nacherfassung)

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer des Patienten.
      Format: 10-stellig
      Angabe: Muss.
      Returns:
        svnr

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getSvnrAbgeleitet

          public String getSvnrAbgeleitet()

      Versicherungsnummer bei abgeleitetem Anspruch.
      Format: 10-stellig
      Angabe: Kann.
      Returns:
        svnr abgeleitet

    - #### setSvnrAbgeleitet

          public void setSvnrAbgeleitet(String svnrAbgeleitet)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Bedingt.
      Returns:
        Code des KVT

    - #### setKvt

          public void setKvt(String kvt)

    - #### getAbgabeinformation

          public RezeptAbgabeInformationen getAbgabeinformation()

      Abgabeinformationen zum Rezept. Siehe `RezeptAbgabeInformationen`.
      Angabe: Muss.
      Returns:
        Abgabe Information

    - #### setAbgabeinformation

          public void setAbgabeinformation(RezeptAbgabeInformationen abgabeinformation)